<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: m17n.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li class="current"><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>ファイル一覧</span></a></li>
      <li><a href="globals.html"><span>グローバル</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>m17n.h</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>データ構造</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMConverter.html">MConverter</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コード変換に用いられる構造体.  <a href="structMConverter.html#_details">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMCodingInfoISO2022.html">MCodingInfoISO2022</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efbaca427c661acd5ba630316fe2d925987e">MCODING_TYPE_ISO_2022</a> タイプのコード系で必要な付加情報用構造体.  <a href="structMCodingInfoISO2022.html#_details">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMCodingInfoUTF.html">MCodingInfoUTF</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efba52dc03931e768c13c7968dcf817c7ad7">MCODING_TYPE_UTF</a> タイプのコード系で必要な付加情報用の構造体.  <a href="structMCodingInfoUTF.html#_details">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputDriver.html">MInputDriver</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力ドライバ用構造体.  <a href="structMInputDriver.html#_details">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputMethod.html">MInputMethod</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドの構造体.  <a href="structMInputMethod.html#_details">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputContext.html">MInputContext</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力コンテクスト用構造体.  <a href="structMInputContext.html#_details">[詳細]</a><br/></td></tr>
<tr><td colspan="2"><h2>型定義</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><code>MLocale</code> 構造体.  <a href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef void(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga93a20c4a45f229e921bc4a3e1aa85312">MInputCallbackFunc</a> )(<a class="el" href="structMInputContext.html">MInputContext</a> *ic, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> command)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドコールバック関数の型宣言.  <a href="group__m17nInputMethod.html#ga93a20c4a45f229e921bc4a3e1aa85312"></a><br/></td></tr>
<tr><td colspan="2"><h2>列挙型</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gafef05a0f12fd162f58fb750a2f1fbec7">MConversionResult</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggafef05a0f12fd162f58fb750a2f1fbec7a46a59d5fab36485ab6e0ef1b89e1559e">MCONVERSION_RESULT_SUCCESS</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggafef05a0f12fd162f58fb750a2f1fbec7ae9c5bb62d1e6cb8588ac02ebf90728c0">MCONVERSION_RESULT_INVALID_BYTE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggafef05a0f12fd162f58fb750a2f1fbec7aa333f6696f474553e401d48aafe58554">MCONVERSION_RESULT_INVALID_CHAR</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggafef05a0f12fd162f58fb750a2f1fbec7a63c2b55b74edfadbb032d4fd70066338">MCONVERSION_RESULT_INSUFFICIENT_SRC</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggafef05a0f12fd162f58fb750a2f1fbec7adff133201571e63ccbbf2294494045c9">MCONVERSION_RESULT_INSUFFICIENT_DST</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggafef05a0f12fd162f58fb750a2f1fbec7acc5cfefff2e6bb69b8d60be7f694bc6b">MCONVERSION_RESULT_IO_ERROR</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>コード変換の結果を示すコード. </p>
 <a href="group__m17nConv.html#gafef05a0f12fd162f58fb750a2f1fbec7">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gaad6093554a9b9fbee4aff963bb3b1efb">MCodingType</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efba00a3a762475a12cb7d5fa590a501861d">MCODING_TYPE_CHARSET</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efba52dc03931e768c13c7968dcf817c7ad7">MCODING_TYPE_UTF</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efbaca427c661acd5ba630316fe2d925987e">MCODING_TYPE_ISO_2022</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efbaf1fa25bb62e5e42a78d42569b667be72">MCODING_TYPE_MISC</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>コード系のタイプ. </p>
 <a href="group__m17nConv.html#gaad6093554a9b9fbee4aff963bb3b1efb">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gaa6b356b4eb92baf30aa2bf0f699e64dc">MCodingFlagISO2022</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca6d8a88778f9c1913cd4b18aaa20744bd">MCODING_ISO_RESET_AT_EOL</a> =  0x1, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca4257fd9400a12d200accb44bacb9aa88">MCODING_ISO_RESET_AT_CNTL</a> =  0x2, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca7ad39d7879146023b2221789515e9819">MCODING_ISO_EIGHT_BIT</a> =  0x4, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca7b6e6b77d534bfee7491e1a1910670c2">MCODING_ISO_LONG_FORM</a> =  0x8, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca40721da60b994939eacad1bd2e07448b">MCODING_ISO_DESIGNATION_G0</a> =  0x10, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca7559126ce0b068f04aca842ffed9bdd0">MCODING_ISO_DESIGNATION_G1</a> =  0x20, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca030b6b9b5f0633fc2d0097abd81de28e">MCODING_ISO_DESIGNATION_CTEXT</a> =  0x40, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dcaf388fe08358fef2b59defabee46fec00">MCODING_ISO_DESIGNATION_CTEXT_EXT</a> =  0x80, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dcae805598539025db2560e059cc110d433">MCODING_ISO_LOCKING_SHIFT</a> =  0x100, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dcaac4f80d7f2f2edd22abcdd4231831869">MCODING_ISO_SINGLE_SHIFT</a> =  0x200, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca3bbd5827f077785c13e40063617472f9">MCODING_ISO_SINGLE_SHIFT_7</a> =  0x400, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dcae0997f1f84d9e3a0854c9f8b7ca3c3c3">MCODING_ISO_EUC_TW_SHIFT</a> =  0x800, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca0353aae3621546519f2878540808dd24">MCODING_ISO_ISO6429</a> =  0x1000, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca1b9d7f38308e56e69b9f4fb306542c9d">MCODING_ISO_REVISION_NUMBER</a> =  0x2000, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca4d74443cbd2c994a922bb7b74c198358">MCODING_ISO_FULL_SUPPORT</a> =  0x3000, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dcaba0eb292213270b4d1850154e0b4ec6e">MCODING_ISO_FLAG_MAX</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>MCODING_TYPE_ISO_2022 タイプのコード系の詳細を表わすビットマスク. </p>
 <a href="group__m17nConv.html#gaa6b356b4eb92baf30aa2bf0f699e64dc">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga55fdd3ec1e7a1ebcf84468c0637f4e42">MInputCandidatesChanged</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__m17nInputMethod.html#gga55fdd3ec1e7a1ebcf84468c0637f4e42a175a5183c1e25d8c885f0896200738fa">MINPUT_CANDIDATES_LIST_CHANGED</a> =  1, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nInputMethod.html#gga55fdd3ec1e7a1ebcf84468c0637f4e42a59599bf8a86a08077f83d2451493d1ab">MINPUT_CANDIDATES_INDEX_CHANGED</a> =  2, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nInputMethod.html#gga55fdd3ec1e7a1ebcf84468c0637f4e42a3bb5a55a5ccf58331afe4ef07f18dd58">MINPUT_CANDIDATES_SHOW_CHANGED</a> =  4, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nInputMethod.html#gga55fdd3ec1e7a1ebcf84468c0637f4e42a7a525f8a61edaae9febe3884e496ab27">MINPUT_CANDIDATES_CHANGED_MAX</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>入力メソッドの入力候補がどう変更されたかを示すビットマスク. </p>
 <a href="group__m17nInputMethod.html#ga55fdd3ec1e7a1ebcf84468c0637f4e42">[詳細]</a><br/></td></tr>
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaadbf43a8bb53d9056dd10a64e8424e30">mchar_define_charset</a> (const char *name, <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字セットを定義する.  <a href="group__m17nCharset.html#gaadbf43a8bb53d9056dd10a64e8424e30"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaf8f077d7d45aaf0a68a3b638c24043fc">mchar_resolve_charset</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> symbol)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字セット名を解決する.  <a href="group__m17nCharset.html#gaf8f077d7d45aaf0a68a3b638c24043fc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga9ffc490ec2ef0fb0509f09d161de6b85">mchar_list_charset</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> **symbols)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字セットを表わすシンボルを列挙する.  <a href="group__m17nCharset.html#ga9ffc490ec2ef0fb0509f09d161de6b85"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gac1a030a59290d16200818056943e93cd">mchar_decode</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> charset_name, unsigned code)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードポイントをデコードする.  <a href="group__m17nCharset.html#gac1a030a59290d16200818056943e93cd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gae199b17a440f6e1d669e60a77df87e6a">mchar_encode</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> charset_name, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字コードをエンコードする.  <a href="group__m17nCharset.html#gae199b17a440f6e1d669e60a77df87e6a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gad218c3916b17c1f42769e2316a6aa557">mchar_map_charset</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> charset_name, void(*func)(int from, int to, void *arg), void *func_arg)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">指定した文字セットのすべての文字に対して関数を呼ぶ.  <a href="group__m17nCharset.html#gad218c3916b17c1f42769e2316a6aa557"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gabbd4a423903d2c1e55030f59ea86c34c">mconv_define_coding</a> (const char *name, <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist, int(*resetter)(<a class="el" href="structMConverter.html">MConverter</a> *), int(*decoder)(const unsigned char *, int, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *, <a class="el" href="structMConverter.html">MConverter</a> *), int(*encoder)(<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *, int, int, unsigned char *, int, <a class="el" href="structMConverter.html">MConverter</a> *), void *extra_info)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コード系を定義する.  <a href="group__m17nConv.html#gabbd4a423903d2c1e55030f59ea86c34c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga6d1106471a03aaed50b79ee5860544be">mconv_resolve_coding</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> symbol)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コード系の名前を解決する.  <a href="group__m17nConv.html#ga6d1106471a03aaed50b79ee5860544be"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gad60cbed74dbe62f199872ef3d109573b">mconv_list_codings</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> **symbols)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コード系を表わすシンボルを列挙する.  <a href="group__m17nConv.html#gad60cbed74dbe62f199872ef3d109573b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMConverter.html">MConverter</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gaf79783acab57fd3546be9116c1f3727d">mconv_buffer_converter</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> coding, const unsigned char *buf, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">バッファに結び付けられたコードコンバータを作る.  <a href="group__m17nConv.html#gaf79783acab57fd3546be9116c1f3727d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMConverter.html">MConverter</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga5d916f0f1acad3efb58d8ecb19d5df85">mconv_stream_converter</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> coding, FILE *fp)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ストリームに結び付けられたコードコンバータを作る.  <a href="group__m17nConv.html#ga5d916f0f1acad3efb58d8ecb19d5df85"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga404fdd1f912860c580e0d5dc20a08e7e">mconv_reset_converter</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードコンバータをリセットする.  <a href="group__m17nConv.html#ga404fdd1f912860c580e0d5dc20a08e7e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gad9b174e7cc227ac90f2f0bb5f46246cf">mconv_free_converter</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードコンバータを解放する.  <a href="group__m17nConv.html#gad9b174e7cc227ac90f2f0bb5f46246cf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMConverter.html">MConverter</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga59fc5df9f9de9dbf33be0daf24d7c8de">mconv_rebind_buffer</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter, const unsigned char *buf, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードコンバータにバッファ領域を結び付ける.  <a href="group__m17nConv.html#ga59fc5df9f9de9dbf33be0daf24d7c8de"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMConverter.html">MConverter</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gaec7a0d98ce635ca5286e0a4d1e8f32d8">mconv_rebind_stream</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter, FILE *fp)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードコンバータにストリームを結び付ける.  <a href="group__m17nConv.html#gaec7a0d98ce635ca5286e0a4d1e8f32d8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga0a6f843f64ca6b3104c4a2dd6c1eadfa">mconv_decode</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">バイト列を M-text にデコードする.  <a href="group__m17nConv.html#ga0a6f843f64ca6b3104c4a2dd6c1eadfa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gae6788541ef64489abc36388554566235">mconv_decode_buffer</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, const unsigned char *buf, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コード系に基づいてバッファ領域をデコードする.  <a href="group__m17nConv.html#gae6788541ef64489abc36388554566235"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga053a3adc499cebcd26b778fd83025c1a">mconv_decode_stream</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, FILE *fp)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コード系に基づいてストリーム入力をデコードする.  <a href="group__m17nConv.html#ga053a3adc499cebcd26b778fd83025c1a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga66d3ddf06d7ac0b178929d9ce53bb0ad">mconv_encode</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text をバイト列にエンコードする.  <a href="group__m17nConv.html#ga66d3ddf06d7ac0b178929d9ce53bb0ad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga1b36aac154dd1fd978c0a2a99e12f22c">mconv_encode_range</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text の一部をバイト列にエンコードする.  <a href="group__m17nConv.html#ga1b36aac154dd1fd978c0a2a99e12f22c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gacacf723e544943aea0fe0a11b2e1715b">mconv_encode_buffer</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, unsigned char *buf, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text をエンコードしてバッファ領域に書き込む.  <a href="group__m17nConv.html#gacacf723e544943aea0fe0a11b2e1715b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga410eb1d4e7a43d9fd0463cd82736273b">mconv_encode_stream</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, FILE *fp)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text をエンコードしてストリームに書き込む.  <a href="group__m17nConv.html#ga410eb1d4e7a43d9fd0463cd82736273b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga2eb22be7dcffe2a6877f0888a894e563">mconv_getc</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードコンバータ経由で一文字を読みこむ.  <a href="group__m17nConv.html#ga2eb22be7dcffe2a6877f0888a894e563"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga64f98b0ace0afb52e1d4891ee42a1757">mconv_ungetc</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードコンバータに一文字戻す.  <a href="group__m17nConv.html#ga64f98b0ace0afb52e1d4891ee42a1757"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga4ddc3307ddb429e507c158b0dfaef1f3">mconv_putc</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードコンバータを経由して一文字書き出す.  <a href="group__m17nConv.html#ga4ddc3307ddb429e507c158b0dfaef1f3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gafac770b097b21d57cf0ea7b86345b173">mconv_gets</a> (<a class="el" href="structMConverter.html">MConverter</a> *converter, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードコンバータを使って一行読み込む.  <a href="group__m17nConv.html#gafac770b097b21d57cf0ea7b86345b173"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="m17n_8h.html#a40023d4a43db542c09acba565b7e0409">mlanguage_list</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">3文字言語コードをリストする.  <a href="#a40023d4a43db542c09acba565b7e0409"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="m17n_8h.html#ac4accaa6507d24b0b79b052d3a30bb6f">mlanguage_code</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, int len)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">言語コードを得る.  <a href="#ac4accaa6507d24b0b79b052d3a30bb6f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="m17n_8h.html#a637581c8bf1ffded08b53e19bc838e7a">mlanguage_name_list</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> target, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> script, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> territory)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="m17n_8h.html#aea98acc9b0df832a2a0fb23b7b435d58">mlanguage_text</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">与えられた言語自身で書かれた言語名を返す.  <a href="#aea98acc9b0df832a2a0fb23b7b435d58"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="m17n_8h.html#a150975e12ee3bd5cd44583555511ff7f">mscript_list</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">スクリプト名をリストする.  <a href="#a150975e12ee3bd5cd44583555511ff7f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="m17n_8h.html#a333f56265a049e1310eb9cde608be5fe">mscript_language_list</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> script)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">与えられたスクリプトを用いる言語をリストする.  <a href="#a333f56265a049e1310eb9cde608be5fe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="m17n_8h.html#a6aa103adaaed509531857b0b1a8fb0bb">mlanguage_name</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga11c3037d07d612838b2073fc2ef13d3d">mlocale_set</a> (int category, const char *locale)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">現在のロケールを設定する.  <a href="group__m17nLocale.html#ga11c3037d07d612838b2073fc2ef13d3d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga2f10f651f59e1cca05e5cb6f741eac24">mlocale_get_prop</a> (<a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a> *locale, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ロケールプロパティの値を得る.  <a href="group__m17nLocale.html#ga2f10f651f59e1cca05e5cb6f741eac24"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga996b37804f9c0635b0c7a5267102bf74">mtext_ftime</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, const char *format, const struct tm *tm, <a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a> *locale)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">日付と時間をフォーマットする.  <a href="group__m17nLocale.html#ga996b37804f9c0635b0c7a5267102bf74"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga3daa62fc37282274b63c19130323919c">mtext_getenv</a> (const char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">環境変数を得る.  <a href="group__m17nLocale.html#ga3daa62fc37282274b63c19130323919c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga67b46fd8c4d0fb14789a80f61d263256">mtext_putenv</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">環境変数を変更／追加する.  <a href="group__m17nLocale.html#ga67b46fd8c4d0fb14789a80f61d263256"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga6c8b4437b6640c9fb49e7fedce865b68">mtext_coll</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">現在のロケールを用いて２つの M-text を比較する.  <a href="group__m17nLocale.html#ga6c8b4437b6640c9fb49e7fedce865b68"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMInputMethod.html">MInputMethod</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga34d3e527bfd705d2b7f2b749199c1e11">minput_open_im</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, void *arg)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドをオープンする.  <a href="group__m17nInputMethod.html#ga34d3e527bfd705d2b7f2b749199c1e11"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga373b415d157c2507f4ca4a864836e905">minput_close_im</a> (<a class="el" href="structMInputMethod.html">MInputMethod</a> *im)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドをクローズする.  <a href="group__m17nInputMethod.html#ga373b415d157c2507f4ca4a864836e905"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMInputContext.html">MInputContext</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859">minput_create_ic</a> (<a class="el" href="structMInputMethod.html">MInputMethod</a> *im, void *arg)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力コンテクストを生成する.  <a href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga80e4b330fb112883f2183d54b4e9c5bb">minput_destroy_ic</a> (<a class="el" href="structMInputContext.html">MInputContext</a> *ic)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力コンテクストを破壊する.  <a href="group__m17nInputMethod.html#ga80e4b330fb112883f2183d54b4e9c5bb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga6d9c3c97524114496fd8b7f70af92457">minput_filter</a> (<a class="el" href="structMInputContext.html">MInputContext</a> *ic, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *arg)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力キーをフィルタする.  <a href="group__m17nInputMethod.html#ga6d9c3c97524114496fd8b7f70af92457"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gafe533480c705b877189938a0eecb1b57">minput_lookup</a> (<a class="el" href="structMInputContext.html">MInputContext</a> *ic, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *arg, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力コンテクスト中のテキストを探す.  <a href="group__m17nInputMethod.html#gafe533480c705b877189938a0eecb1b57"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gac12030bd2d5c265a7327a9487f9c1376">minput_set_spot</a> (<a class="el" href="structMInputContext.html">MInputContext</a> *ic, int x, int y, int ascent, int descent, int fontsize, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力コンテクストのスポットを設定する.  <a href="group__m17nInputMethod.html#gac12030bd2d5c265a7327a9487f9c1376"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga065a8f8e5a28180fd0fa6d160e07481b">minput_toggle</a> (<a class="el" href="structMInputContext.html">MInputContext</a> *ic)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドを切替える.  <a href="group__m17nInputMethod.html#ga065a8f8e5a28180fd0fa6d160e07481b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga1c3c2263d2bb2d250b1f926f4b4c1db5">minput_reset_ic</a> (<a class="el" href="structMInputContext.html">MInputContext</a> *ic)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力コンテクストをリセットする.  <a href="group__m17nInputMethod.html#ga1c3c2263d2bb2d250b1f926f4b4c1db5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga4a80b81791850c2445992e6e4fd7fa1b">minput_get_description</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドの説明テキストを得る.  <a href="group__m17nInputMethod.html#ga4a80b81791850c2445992e6e4fd7fa1b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gaa6ca1639d1d2cc56908cc6972d237f3a">minput_get_title_icon</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドのタイトルとアイコン用ファイル名を得る.  <a href="group__m17nInputMethod.html#gaa6ca1639d1d2cc56908cc6972d237f3a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga4472e21e6a1e65056f5815c3ce36e41b">minput_get_command</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> command)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドのコマンドに関する情報を得る.  <a href="group__m17nInputMethod.html#ga4472e21e6a1e65056f5815c3ce36e41b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gaa5de29f63f6eb770059c2f55ce8237ed">minput_config_command</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> command, <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *keyseq)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドのコマンドのキーシークエンスを設定する.  <a href="group__m17nInputMethod.html#gaa5de29f63f6eb770059c2f55ce8237ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga09c8aea172323731cd3e946b3ef43a50">minput_get_variable</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> variable)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドの変数に関する情報を得る.  <a href="group__m17nInputMethod.html#ga09c8aea172323731cd3e946b3ef43a50"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga15f7939874de15330d3d9aa0c450e424">minput_config_variable</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> variable, <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *value)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドの変数の値を設定する.  <a href="group__m17nInputMethod.html#ga15f7939874de15330d3d9aa0c450e424"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga5bf6821ca0d9bb5a738aba60225e247d">minput_config_file</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ユーザ毎のカスタマイズファイルの名前を得る.  <a href="group__m17nInputMethod.html#ga5bf6821ca0d9bb5a738aba60225e247d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga08b59a97ca5194abfb04dc4cc96919d6">minput_save_config</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">設定をユーザ毎のカスタマイズファイルに保存する.  <a href="group__m17nInputMethod.html#ga08b59a97ca5194abfb04dc4cc96919d6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga955cd9e0b9fd8cf426aed3f3584337ff">minput_callback</a> (<a class="el" href="structMInputContext.html">MInputContext</a> *ic, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> command)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga63f6d2d105b01b7721f732b2433ea78e">minput_get_commands</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドのコマンドに関する情報を得る.  <a href="group__m17nInputMethod.html#ga63f6d2d105b01b7721f732b2433ea78e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga617c6a8028c05381f4f8a0ec781f1855">minput_assign_command_keys</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> command, <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *keys)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドコマンドにキーシークエンスを割り当てる.  <a href="group__m17nInputMethod.html#ga617c6a8028c05381f4f8a0ec781f1855"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gab6d3ebaf43705f994aebb990feada7aa">minput_get_variables</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドの変数リストを得る.  <a href="group__m17nInputMethod.html#gab6d3ebaf43705f994aebb990feada7aa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gaec5679f07f92df8aba39e49fc90341bd">minput_set_variable</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> variable, void *value)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッド変数の初期値を設定する.  <a href="group__m17nInputMethod.html#gaec5679f07f92df8aba39e49fc90341bd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMInputMethod.html">MInputMethod</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga8844c814bf108e3c614ffb41ba810f3c">mdebug_dump_im</a> (<a class="el" href="structMInputMethod.html">MInputMethod</a> *im, int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">入力メソッドをダンプする.  <a href="group__m17nDebug.html#ga8844c814bf108e3c614ffb41ba810f3c"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga01281aed6d1604db0c98ac17c64b22e3">Mcharset_ascii</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ASCII 文字セットを表現するシンボル.  <a href="group__m17nCharset.html#ga01281aed6d1604db0c98ac17c64b22e3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga9f7fa705b5a9329979b6f7dba5b33fef">Mcharset_iso_8859_1</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ISO/IEC 8859-1:1998 文字セットを表現するシンボル.  <a href="group__m17nCharset.html#ga9f7fa705b5a9329979b6f7dba5b33fef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga9a9826645fbd6d8cbc8dade0a05d93ca">Mcharset_unicode</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unicode 文字セットを表現するシンボル.  <a href="group__m17nCharset.html#ga9a9826645fbd6d8cbc8dade0a05d93ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gae9d2842894a69850db2bfba1e7003938">Mcharset_m17n</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">全文字を含む文字セットを表現するシンボル.  <a href="group__m17nCharset.html#gae9d2842894a69850db2bfba1e7003938"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaada84095266aedae3aed95ae942c47a0">Mcharset_binary</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">正しくデコードできない文字の文字セットを表現するシンボル.  <a href="group__m17nCharset.html#gaada84095266aedae3aed95ae942c47a0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gae4f12e8c6f7383fc7c05388185ad7795">Mmethod</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga26a7745dfcd4b7e75ba08b006a94205b">Mdimension</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga290793cbf5b9e6aa96cce8e12e01af29">Mmin_range</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gad01176e5eeb7ee45fc3b144aa0393ccd">Mmax_range</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga002a4010b574d5b09e33281634c2b058">Mmin_code</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga71d715404e85831b2be9c1bb4044d1c7">Mmax_code</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga7c88134db9c464946410a44ae32969c5">Mascii_compatible</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga6fe1a313c304442d884f1dcefad262f0">Mfinal_byte</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaa971af170d28beb8e9ffca53e03f2233">Mrevision</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gac519cab6fd5381b289b54f9bc3f5614f">Mmin_char</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gac7f334207f0907557e1805f327be2c0a">Mmapfile</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gab8f3c2a0d58caa179931151fa64e5eb0">Mparents</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gafcc44fe2009682c71b47f6157f07b85c">Msubset_offset</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gad98a8b772b9e851ae2920c5d7ed7c706">Mdefine_coding</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga150e01319257d2b8e82952baf4fbb16d">Maliases</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga7a86139a02caa1fba4cc46985b76c71b">Moffset</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">オフセット型のメソッドを示すシンボル.  <a href="group__m17nCharset.html#ga7a86139a02caa1fba4cc46985b76c71b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaa774b1759de6142d26ffe8d5898c3874">Mmap</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">マップ型のメソッドを示すシンボル.  <a href="group__m17nCharset.html#gaa774b1759de6142d26ffe8d5898c3874"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gadd42d3be420b71333a771b05e4e5b6eb">Munify</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ユニファイ型のメソッドを示すシンボル.  <a href="group__m17nCharset.html#gadd42d3be420b71333a771b05e4e5b6eb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaf9a6baf718f22984b5c5332afff0da90">Msubset</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">サブセット型のメソッドを示すシンボル.  <a href="group__m17nCharset.html#gaf9a6baf718f22984b5c5332afff0da90"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gadb08660f5913095d985cfbbd1a51b0bb">Msuperset</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">スーパーセット型のメソッドを示すシンボル.  <a href="group__m17nCharset.html#gadb08660f5913095d985cfbbd1a51b0bb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga4bb3bce315333205cee748b0b473eff3">Mcoding_us_ascii</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">US-ASCII コード系のシンボル.  <a href="group__m17nConv.html#ga4bb3bce315333205cee748b0b473eff3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga527d347b90c2d066fb365c2e3739ff42">Mcoding_iso_8859_1</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ISO-8859-1 コード系のシンボル.  <a href="group__m17nConv.html#ga527d347b90c2d066fb365c2e3739ff42"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga6b2a43cb5cf0e0be7ecdec9f12629d84">Mcoding_utf_8</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UTF-8 コード系のシンボル.  <a href="group__m17nConv.html#ga6b2a43cb5cf0e0be7ecdec9f12629d84"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga64372c6d5c9f0000ef5ddd6b1dfbfd86">Mcoding_utf_8_full</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UTF-8-FULL コード系のシンボル.  <a href="group__m17nConv.html#ga64372c6d5c9f0000ef5ddd6b1dfbfd86"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gaab7710f7b341261211e96b91ad994bc3">Mcoding_utf_16</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UTF-16 コード系のシンボル.  <a href="group__m17nConv.html#gaab7710f7b341261211e96b91ad994bc3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga1a9658a04fcd2ff1203b5a9445bf364a">Mcoding_utf_16be</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UTF-16BE コード系のシンボル.  <a href="group__m17nConv.html#ga1a9658a04fcd2ff1203b5a9445bf364a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga2794f6c88c23c0ce470b721b303cc917">Mcoding_utf_16le</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UTF-16LE コード系のシンボル.  <a href="group__m17nConv.html#ga2794f6c88c23c0ce470b721b303cc917"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga72083c192efa0af5e30e602cd7a798b4">Mcoding_utf_32</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UTF-32 コード系のシンボル.  <a href="group__m17nConv.html#ga72083c192efa0af5e30e602cd7a798b4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga904cb4114627ebb6dd322d8f9527e966">Mcoding_utf_32be</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UTF-32BE コード系のシンボル.  <a href="group__m17nConv.html#ga904cb4114627ebb6dd322d8f9527e966"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gad76c99da8ac021d14f3a702701fc775f">Mcoding_utf_32le</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">UTF-32LE コード系のシンボル.  <a href="group__m17nConv.html#gad76c99da8ac021d14f3a702701fc775f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gaa59faea3689e8a7a4635d609157f3fa5">Mcoding_sjis</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">SJIS コード系のシンボル.  <a href="group__m17nConv.html#gaa59faea3689e8a7a4635d609157f3fa5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gab0abe7b300ad8231026f623a37fbe46f">Mtype</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gafa36b84a0e4e8c5e5c5ecafcd0dd827d">Mcharsets</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga508f30864b0b06fe2ca297f2ba339f3d">Mflags</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga49cf2857b6b7323196c59cb010522eb9">Mdesignation</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gab9e923812755e682db8231828a9e94af">Minvocation</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gad19b84f78323e91e7003c97947561ff6">Mcode_unit</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gab0211faeb0b29d6264343b896273afbf">Mbom</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga73222ac2b7c420d7e4c9f2420e72e33f">Mlittle_endian</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gaeb001a3054bca58fac033c085c270437">Mutf</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gaec5ed370f36fbbd0811d7837f5a677aa">Miso_2022</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga7ffd071427552d47a7465568169c4bc0">Mreset_at_eol</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga790b82a0f7a4f43c62947f6260435687">Mreset_at_cntl</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga2070be8696d43ea61ada14affba1c098">Meight_bit</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gabc377d5067b46dd2f8cb41eb31ca2175">Mlong_form</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga4aa117d960d423fe5d58a894abce2c39">Mdesignation_g0</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga6f9669d07dd8788fd7f878dd2e430d04">Mdesignation_g1</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga0f0d7a67b78d52ab0e60c7993b1ec44d">Mdesignation_ctext</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga3af496a7e2dde22445795fd49434400f">Mdesignation_ctext_ext</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gafbce0352625d3e052d6b988e3cccc136">Mlocking_shift</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga90fcd3bcae85d7f47e4777df484c1091">Msingle_shift</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gac9db45c79652c252be19bcd00f382cc9">Msingle_shift_7</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gab694633963c7a6582007330b338e3e43">Meuc_tw_shift</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#gaf1bb00aba88f9d5b722bc39d9d2af904">Miso_6429</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga9cec8b0e5c00056b00ccffd20ff54477">Mrevision_number</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga849aad9c3eb8dd18dbb326a03ee16dbd">Mfull_support</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga1b45516d687e484a023362d6d6f6089c">Mcoding</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">シンボル <code>Mcoding</code>.  <a href="group__m17nConv.html#ga1b45516d687e484a023362d6d6f6089c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nConv.html#ga0b2b319dbbacfed7b4aa6c0ef9a032d6">Mmaybe</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">"maybe"という名前を持つシンボル.  <a href="group__m17nConv.html#ga0b2b319dbbacfed7b4aa6c0ef9a032d6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="m17n_8h.html#a643a2aaff32921ac3e11cd6eed66f60d">Miso639_1</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="m17n_8h.html#a6006fc602faeca0240858b36777615a0">Miso639_2</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga03ce6cc49a183ecc3ffc4724038c1d34">Mterritory</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#gafe9c95126eebbbb6b48b1671793ad6ba">Mmodifier</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga41ed940959ef93e6b2238bd0f9442954">Mcodeset</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMInputDriver.html">MInputDriver</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gadb0ff8e5e616a810ed27113b17ad363b">minput_default_driver</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">内部入力メソッド用デフォルトドライバ.  <a href="group__m17nInputMethod.html#gadb0ff8e5e616a810ed27113b17ad363b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga4f2d5dc3e6c637d18e2ecf24edfff456">Minput_method</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">"input-method" を名前として持つシンボル.  <a href="group__m17nInputMethod.html#ga4f2d5dc3e6c637d18e2ecf24edfff456"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gaf03ec92f0d20d9bff8b9031461270d41">Minput_driver</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMInputDriver.html">MInputDriver</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga0e4d7a69ac0861d4b9b58990a0f03702">minput_driver</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">内部入力メソッド用ドライバ.  <a href="group__m17nInputMethod.html#ga0e4d7a69ac0861d4b9b58990a0f03702"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga5516535b28981c4b02b33368f3d56d56">Minput_preedit_start</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gacb0619c67c071d453dd2920ffc26d0ed">Minput_preedit_draw</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga3f96ecb6d7f7f82bc1ba5e47f8da0b92">Minput_preedit_done</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gad3739f8097f1c52f10a8581828b7bb95">Minput_status_start</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gae75d45c1dbe0483768e9364af4d282f9">Minput_status_draw</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga49febb92bb4320bc27f20043517f3169">Minput_status_done</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga6bb355b1b5521571056b96a854f3c6c8">Minput_candidates_start</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga6bf782d7824557ec10e3988f6fcf4834">Minput_candidates_draw</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga6ff3deabad4489cef99fff428b2628e2">Minput_candidates_done</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gaf19d77434bb1a12bdcb50f46448f1402">Minput_set_spot</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gafa306a028998a972bf3a05c8609fe65e">Minput_toggle</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga5f07520efe1e533af2b2322fca2bc9a2">Minput_reset</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga1ca3d6e04f44fada82ed3c81069be23c">Minput_get_surrounding_text</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gab1bfef46ab8e9daa6f3cf53b912b7da8">Minput_delete_surrounding_text</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga2b2dd61bcb633e89865ebeda1cd9f466">Minput_focus_move</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga0d721c64e73c1e362f3cc44716b6c6ab">Minput_focus_in</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga3edb37986f3bcdd15d73884c0d9b239b">Minput_focus_out</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gaf84d56e3015c4b26802debcbd9352806">Minherited</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#ga07679cd0d5bf8e137d5dc554a30aa106">Mcustomized</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethod.html#gae01597fe66dfef937b4c5c47e54abbd0">Mconfigured</a></td></tr>
</table>
<hr/><h2>関数</h2>
<a class="anchor" id="a40023d4a43db542c09acba565b7e0409"></a><!-- doxytag: member="m17n.h::mlanguage_list" ref="a40023d4a43db542c09acba565b7e0409" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mlanguage_list </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>3文字言語コードをリストする. </p>
<p>関数 <a class="el" href="m17n_8h.html#a40023d4a43db542c09acba565b7e0409" title="3文字言語コードをリストする.">mlanguage_list()</a> は、整形式 (well-formed) plist を返す。各キー は <a class="el" href="group__m17nSymbol.html#ga6592d4eb3c46fe7fb8993c252b8fedeb" title="&quot;symbol&quot; を名前として持つシンボル.">Msymbol</a> であり、個々の値は ISO639-2 に定められた3文字言語コー ドを名前とするシンボルである。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数が返す plist は、呼び出し側が <a class="el" href="group__m17nObject.html#ga248ba287a615a2cf3cdb99c13275453b" title="管理下オブジェクトの参照数を 1 減らす.">m17n_object_unref()</a> を使っ て解放する必要がある。</dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="m17n_8h.html#a150975e12ee3bd5cd44583555511ff7f" title="スクリプト名をリストする.">mscript_list()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="ac4accaa6507d24b0b79b052d3a30bb6f"></a><!-- doxytag: member="m17n.h::mlanguage_code" ref="ac4accaa6507d24b0b79b052d3a30bb6f" args="(MSymbol language, int len)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> mlanguage_code </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>language</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>len</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>言語コードを得る. </p>
<p>関数 <a class="el" href="m17n_8h.html#ac4accaa6507d24b0b79b052d3a30bb6f" title="言語コードを得る.">mlanguage_code()</a> は、<b>language</b> に対応した ISO-639 言語コード が名前であるようなシンボルを返す。<b>language</b> はシンボルであり、その 名前は、ISO639-2 3文字言語コード、ISO639-1 2文字言語コード、英語名、 のいずれかである。</p>
<p><b>len</b> は返される言語コードの種類を決定する。<b>len</b> が3の場合は ISO639-2 3文字言語コードが返される。2の場合は、もし定義されていれ ば ISO639-1 2文字言語コードが、そうでなければ <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> が返される。0 の場合は、もし定義されていれば2文字コードが、そうでなければ3文字コー ドが返される。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>もし情報が得られれば、この関数は <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> 以外のシンボルを返す。そう でなければ <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> を返す。</dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="m17n_8h.html#a6aa103adaaed509531857b0b1a8fb0bb">mlanguage_name()</a>, <a class="el" href="m17n_8h.html#aea98acc9b0df832a2a0fb23b7b435d58" title="与えられた言語自身で書かれた言語名を返す.">mlanguage_text()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a637581c8bf1ffded08b53e19bc838e7a"></a><!-- doxytag: member="m17n.h::mlanguage_name_list" ref="a637581c8bf1ffded08b53e19bc838e7a" args="(MSymbol language, MSymbol target, MSymbol script, MSymbol territory)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mlanguage_name_list </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>language</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>script</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>territory</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aea98acc9b0df832a2a0fb23b7b435d58"></a><!-- doxytag: member="m17n.h::mlanguage_text" ref="aea98acc9b0df832a2a0fb23b7b435d58" args="(MSymbol language)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a>* mlanguage_text </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>language</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>与えられた言語自身で書かれた言語名を返す. </p>
<p>関数 <a class="el" href="m17n_8h.html#aea98acc9b0df832a2a0fb23b7b435d58" title="与えられた言語自身で書かれた言語名を返す.">mlanguage_text()</a> は、言語 <b>language</b> で書かれた <b>language</b> の 名前を M-text の形式で返す。その言語の代表的な文字がわかっている場 合は、返される M-text の各文字に、キーが <a class="el" href="group__m17nPlist.html#ga1a22859374071a0ca66f12452afee8bd" title="&quot;mtext&quot; を名前として持つシンボル.">Mtext</a> で値がその代表的な 文字を含む M-text であるようなテキストプロパティが付加される。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>求める情報が得られた場合、この関数が返す M-text を変更したり解放し たりしてはいけない。情報が得られなかった場合は <code>NULL</code> が返される。</dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="m17n_8h.html#ac4accaa6507d24b0b79b052d3a30bb6f" title="言語コードを得る.">mlanguage_code()</a>, <a class="el" href="m17n_8h.html#a6aa103adaaed509531857b0b1a8fb0bb">mlanguage_name()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a150975e12ee3bd5cd44583555511ff7f"></a><!-- doxytag: member="m17n.h::mscript_list" ref="a150975e12ee3bd5cd44583555511ff7f" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mscript_list </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>スクリプト名をリストする. </p>
<p>関数 <a class="el" href="m17n_8h.html#a150975e12ee3bd5cd44583555511ff7f" title="スクリプト名をリストする.">mscript_list()</a> は、整形式 (well-formed) plist を返す。各キー は <a class="el" href="group__m17nSymbol.html#ga6592d4eb3c46fe7fb8993c252b8fedeb" title="&quot;symbol&quot; を名前として持つシンボル.">Msymbol</a> であり、個々の値はスクリプト名を名前とするシンボルであ る。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数が返す plist は、呼び出し側が <a class="el" href="group__m17nObject.html#ga248ba287a615a2cf3cdb99c13275453b" title="管理下オブジェクトの参照数を 1 減らす.">m17n_object_unref()</a> を使っ て解放する必要がある。</dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="m17n_8h.html#a333f56265a049e1310eb9cde608be5fe" title="与えられたスクリプトを用いる言語をリストする.">mscript_language_list()</a>, <a class="el" href="m17n_8h.html#a40023d4a43db542c09acba565b7e0409" title="3文字言語コードをリストする.">mlanguage_list()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a333f56265a049e1310eb9cde608be5fe"></a><!-- doxytag: member="m17n.h::mscript_language_list" ref="a333f56265a049e1310eb9cde608be5fe" args="(MSymbol script)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mscript_language_list </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>script</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>与えられたスクリプトを用いる言語をリストする. </p>
<p>関数 <a class="el" href="m17n_8h.html#a333f56265a049e1310eb9cde608be5fe" title="与えられたスクリプトを用いる言語をリストする.">mscript_language_list()</a> は、<b>script</b> を用いる言語をリストする。 <b>script</b> はシンボルで、その名前は Unicode Character Database に示さ れているスクリプト名をすべて小文字にしたものである。</p>
<dl class="user"><dt><b>戻り値: </b></dt><dd>この関数は、整形式 (well-formed) plist を返す。各キーは <a class="el" href="group__m17nSymbol.html#ga6592d4eb3c46fe7fb8993c252b8fedeb" title="&quot;symbol&quot; を名前として持つシンボル.">Msymbol</a> であり、個々の値は ISO639-1 に定められた2文字言語コード (定義されていない場合は ISO639-2 に定められた3文字言語コード) を名 前とするシンボルである。返される plist は変更したり解放したりして はならない。<b>script</b> が未知の場合は <code>NULL</code> が返される。</dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="m17n_8h.html#a150975e12ee3bd5cd44583555511ff7f" title="スクリプト名をリストする.">mscript_list()</a>, <a class="el" href="m17n_8h.html#a40023d4a43db542c09acba565b7e0409" title="3文字言語コードをリストする.">mlanguage_list()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a6aa103adaaed509531857b0b1a8fb0bb"></a><!-- doxytag: member="m17n.h::mlanguage_name" ref="a6aa103adaaed509531857b0b1a8fb0bb" args="(MSymbol language)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> mlanguage_name </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>language</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>変数</h2>
<a class="anchor" id="a643a2aaff32921ac3e11cd6eed66f60d"></a><!-- doxytag: member="m17n.h::Miso639_1" ref="a643a2aaff32921ac3e11cd6eed66f60d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="language_8c.html#a643a2aaff32921ac3e11cd6eed66f60d">Miso639_1</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a6006fc602faeca0240858b36777615a0"></a><!-- doxytag: member="m17n.h::Miso639_2" ref="a6006fc602faeca0240858b36777615a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="language_8c.html#a6006fc602faeca0240858b36777615a0">Miso639_2</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
